umbrello 2.39.2 Umbrello UML Modeller is a Unified Modelling Language (UML) diagram program based on KDE Technology

- Main Page
- Related Pages
- Topics
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Public Attributes | List of all members
PHPImportPrivate Class Reference

## Public Member Functions
| PHPImportPrivate ()
| ~PHPImportPrivate ()
bool | parseFile (const QStringList &files)
QStringList | getParsedFiles (const QString &fileName)

## Public Attributes
bool | m_printAst
bool | m_printTokens
QMap< QString, PhpParser * > | m_parsers

## Constructor & Destructor Documentation

## ◆ PHPImportPrivate()

PHPImportPrivate::PHPImportPrivate | ( |  | ) |
| inline

## ◆ ~PHPImportPrivate()

PHPImportPrivate::~PHPImportPrivate | ( |  | ) |
| inline

## Member Function Documentation

## ◆ getParsedFiles()

QStringList PHPImportPrivate::getParsedFiles | ( | const QString & | fileName | ) |
| inline

## ◆ parseFile()

bool PHPImportPrivate::parseFile | ( | const QStringList & | files | ) |
| inline

## Member Data Documentation

## ◆ m_parsers

QMap<QString, PhpParser*> PHPImportPrivate::m_parsers

## ◆ m_printAst

bool PHPImportPrivate::m_printAst

## ◆ m_printTokens

bool PHPImportPrivate::m_printTokens

The documentation for this class was generated from the following file:

- umbrello/codeimport/phpimport.cpp